Bug 106969 - Random stall during boot-up
Random stall during boot-up
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-13 22:07 EDT by Jun'ichi NOMURA
Modified: 2013-03-06 00:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-13 16:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jun'ichi NOMURA 2003-10-13 22:07:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4) Gecko/20030930
Debian/1.4-5

Description of problem:
On SMP machine boot-up, the operating system may stall
while fork-ing processes from /sbin/init.

The stall occurs randomly.
Usually after invoking /sbin/init and before showing login prompt.

This can be fixed by the patch recently posted to linux-ia64@vger.kernel.org.

Version-Release number of selected component (if applicable):
kernel-2.4.21-3.EL

How reproducible:
Sometimes

Steps to Reproduce:
1. Boot-up on SMP machine
2. (repeat step 1)
3.
    

Actual Results:  Boot-up process will stall somewhere after invoking rc script.

For example, it may stall after printing the following message:
  Remounting root filesystem in read-write mode:  [  OK  ]
  Activating swap partitions:  [  OK  ]
  Finding module dependencies:  [  OK  ]


Expected Results:  Eventually, login prompt should appear on console.

Additional info:

The problem is caused by wrong setup of initial value of
kr[CURRENT_STACK] which is used in ia64_switch_to()
to determine if the kernel address is already mapped.
ia64_switch_to() assumes the value of this register should be
based on the kernel granule size (16MB for current configuration).
But its initial value is wrongly calculated based on 64MB.
Thus, during the first task switch, the kernel could take
unmapped address as already mapped, refer to it and fall into
infinite TLB miss loop.

The patch to fix this problem was posted to linux-ia64@vger.kernel.org
with subject "wrong initial ia64_kr(current_stack) value" at Oct. 9
by Chenn, Kenneth W.
http://marc.theaimsgroup.com/?l=linux-ia64&m=106571413927132&w=2
Comment 3 John Flanagan 2004-05-11 21:07:42 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html
Comment 5 Jason Baron 2004-05-28 13:07:38 EDT
yes, a bug for this also against rhel2.1 is helpful for tracking.

Note You need to log in before you can comment on or make changes to this bug.